> ## Documentation Index
> Fetch the complete documentation index at: https://docs.watchr.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get information about the cast and crew of a movie



## OpenAPI

````yaml /api-reference/openapi.json get /movies/{movie_id}/credits
openapi: 3.1.0
info:
  title: Watchr
  version: 0.0.0
servers: []
security: []
paths:
  /movies/{movie_id}/credits:
    get:
      tags:
        - Movies
      summary: Get information about the cast and crew of a movie
      operationId: get_movie_credits
      parameters:
        - name: movie_id
          in: path
          required: true
          schema:
            type: integer
            description: Unique Identifier of a movie.
            title: Movie Id
          description: Unique Identifier of a movie.
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Credits'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    Credits:
      properties:
        cast:
          items:
            $ref: '#/components/schemas/CastMember'
          type: array
          title: Cast
          description: List of actors who appear in this movie.
        crew:
          additionalProperties:
            items:
              $ref: '#/components/schemas/CrewMember'
            type: array
          type: object
          title: Crew
          description: List of crew members who worked on this movie grouped by department.
      type: object
      required:
        - cast
        - crew
      title: Credits
      description: List of people in the cast and the crew
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    CastMember:
      properties:
        name:
          type: string
          title: Name
        poster:
          anyOf:
            - type: string
            - type: 'null'
          title: Poster
        link:
          anyOf:
            - type: string
            - type: 'null'
          title: Link
        character:
          type: string
          title: Character
        order:
          type: integer
          title: Order
      type: object
      required:
        - name
        - character
        - order
      title: CastMember
    CrewMember:
      properties:
        name:
          type: string
          title: Name
        poster:
          anyOf:
            - type: string
            - type: 'null'
          title: Poster
        link:
          anyOf:
            - type: string
            - type: 'null'
          title: Link
        department:
          type: string
          title: Department
        job:
          type: string
          title: Job
      type: object
      required:
        - name
        - department
        - job
      title: CrewMember
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````